/*************************************************************************
 * (C) 2011 AITNET - Sofia/Bulgaria - <office@aitbg.com>
 *  by Michael Pounov <misho@aitbg.com>
 *
 * $Author: misho $
 * $Id: defs.h,v 1.5 2015/06/18 23:03:53 misho Exp $
 *
 *************************************************************************
The ELWIX and AITNET software is distributed under the following
terms:

All of the documentation and software included in the ELWIX and AITNET
Releases is copyrighted by ELWIX - Sofia/Bulgaria <info@elwix.org>

Copyright 2004 - 2015
	by Michael Pounov <misho@elwix.org>.  All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. All advertising materials mentioning features or use of this software
   must display the following acknowledgement:
This product includes software developed by Michael Pounov <misho@elwix.org>
ELWIX - Embedded LightWeight unIX and its contributors.
4. Neither the name of AITNET nor the names of its contributors
   may be used to endorse or promote products derived from this software
   without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY AITNET AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/
#ifndef __DEFS_H
#define __DEFS_H


#define STRSIZ			256

#define DEFAULT_CONFIG		"/etc/suX.conf"
#define DEFAULT_CMD		"!/bin/sh -c"
#define DEFAULT_LOG		"/var/log/suX.log"
#define DEFAULT_SUX_USER	"www"

#ifndef PACKAGE_NAME
#define PACKAGE_NAME		"nobody"
#endif

#define SUX_GET_UID		0x1
#define SUX_GET_GID		0x2
#define SUX_GET_PRIO		0x4
#define SUX_GET_DIR		0x8
#define SUX_GET_STDIN		0x40
#define SUX_GET_FORCE		0x80


struct tagProc {
	ait_val_t	proc_uid;
	ait_val_t	proc_gid;
	ait_val_t	proc_prio;
	ait_val_t	proc_class;
	ait_val_t	proc_dir;
	ait_val_t	proc_name;
	ait_val_t	proc_cmd;
};


extern char **environ;
extern cfg_root_t cfg;
extern int Verbose;
extern struct tagProc proc;
extern FILE *lf;


#endif
